MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025230Open CASCADE[OCCT] OCCT:Testspublic2014-09-10 14:202014-11-11 12:59
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025230: Test case for selection in perspective views
DescriptionWe seem to lack a test case for work of selection in perspective views. I propose such test case should be created as follows:

- create a box
- create two grids of vertices on two opposite sides of the box
- show perspective view so that one of these two sites is behind another
- run selection (by point, by rectangle. etc.)
- check that list of selected vertices is as expected
Additional information
and documentation updates
Test is made using comparison of selected points with expected to be selected points. In case of mismatching test will report about an error of certain type:
point selection, rectangle selection or polygon selection is broken.
TagsNo tags attached.
Test case numberbugs vis(004) bug25230
Attached Files

- Relationships
related to 0025265closedbugmaster Visualization, Select3D_Projector - wrong calculation of projection line in perspective mode 

-  Notes
(0031592)
apl (developer)
2014-09-10 17:12

Dear Ivan,

Could you please prepare the described test?
(0031714)
git (administrator)
2014-09-15 17:06

Branch CR25230 has been created by isz.

SHA-1: f3d3ec43d86cd6cd1886eeffe046e2587124da65


Detailed log of new commits:

Author: isz
Date: Mon Sep 15 17:06:09 2014 +0400

    0025230: Test case for selection in perspective views
    
    -Implemented test for selections in perspective view by point, by rectangle and by polygon.
(0031715)
isz (developer)
2014-09-15 17:13

Dear Anton,

please review my changes in branch CR25230.
(0031716)
kgv (developer)
2014-09-15 17:36

Dear Ivan,

+}
+
+if {$stat == 1} {\r
+    puts "Error : Perspective selection by rectangle is broken."\r

you have mixed end-of-lines in the file.
Please correct them to LF.
(0031720)
git (administrator)
2014-09-15 17:52

Branch CR25230 has been updated by isz.

SHA-1: 4dc4ec130ef8e95070f71efbcc461d6bcc7ad127


Detailed log of new commits:

Author: isz
Date: Mon Sep 15 17:52:05 2014 +0400

    -end-of-lines in the file are corrected to LF.

(0031725)
git (administrator)
2014-09-15 18:05

Branch CR25230 has been updated by isz.

SHA-1: 2a5159422410adb47fc91dfdd3ac20c4dc7d2a5b


Detailed log of new commits:

Author: isz
Date: Mon Sep 15 18:05:12 2014 +0400

    -Added more comments about this test

(0031784)
apl (developer)
2014-09-16 18:08

Dear Ivan,

Please correct following remarks:
- Rebase your branch on current master
- Squash multiple commits and push into new branch as a single final commit
- Please get rid of tabulation characters (Line 50, Line 81).
(0031876)
git (administrator)
2014-09-18 16:55

Branch CR25230 has been updated forcibly by isz.

SHA-1: f69b97ed7d7e1a5a51db839effbfbf2efd6ec47b
(0032010)
git (administrator)
2014-09-23 15:30

Branch CR25230 has been updated by isz.

SHA-1: a5ed76ebdc49e15e5ba17d695331a66750ab357d


Detailed log of new commits:

Author: isz
Date: Tue Sep 23 15:29:47 2014 +0400

    Comments in the head of the script are given in the appropriate form.

(0032014)
git (administrator)
2014-09-23 15:44

Branch CR25230 has been updated forcibly by isz.

SHA-1: cda03008842eafbddbe7f40930cc45c7f24c0bbf
(0032015)
apl (developer)
2014-09-23 15:48

Dear Bugmaster,

The branch CR25230 is reviewed.

Please note that the branch does not contain modification to OCCT code - only a new test case.
(0032095)
apv (tester)
2014-09-24 15:09

Test case has been verified on Windows and Linux platforms.
(0032430)
git (administrator)
2014-09-30 11:36

Branch CR25230 has been deleted by inv.

SHA-1: cda03008842eafbddbe7f40930cc45c7f24c0bbf

- Related Changesets
occt: master 07dd6e9b
Timestamp: 2014-09-23 11:43:27
Author: isz
Committer: bugmaster
Details ] Diff ]
0025230: Test case for selection in perspective views

Implemented test for selections in perspective view by point, by rectangle and by polygon.
add - tests/bugs/vis/bug25230 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-09-10 14:20 abv New Issue
2014-09-10 14:20 abv Assigned To => kgv
2014-09-10 14:20 abv Category OCCT:Visualization => OCCT:Tests
2014-09-10 14:20 abv Assigned To kgv => apl
2014-09-10 14:20 abv Status new => assigned
2014-09-10 17:12 apl Assigned To apl => isz
2014-09-10 17:12 apl Note Added: 0031592
2014-09-15 17:06 git Note Added: 0031714
2014-09-15 17:13 isz Note Added: 0031715
2014-09-15 17:13 isz Status assigned => resolved
2014-09-15 17:34 apl Assigned To isz => apl
2014-09-15 17:36 kgv Note Added: 0031716
2014-09-15 17:52 git Note Added: 0031720
2014-09-15 18:05 git Note Added: 0031725
2014-09-15 18:07 apl Additional Information Updated View Revisions
2014-09-16 18:08 apl Note Added: 0031784
2014-09-16 18:08 apl Assigned To apl => isz
2014-09-16 18:08 apl Status resolved => assigned
2014-09-18 16:55 git Note Added: 0031876
2014-09-18 16:56 isz Assigned To isz => apl
2014-09-18 16:56 isz Status assigned => resolved
2014-09-23 15:30 git Note Added: 0032010
2014-09-23 15:44 git Note Added: 0032014
2014-09-23 15:48 apl Note Added: 0032015
2014-09-23 15:48 apl Assigned To apl => bugmaster
2014-09-23 15:48 apl Status resolved => reviewed
2014-09-23 17:09 mkv Assigned To bugmaster => apv
2014-09-23 17:13 kgv Relationship added related to 0025265
2014-09-24 15:08 apv Test case number => bugs vis(004) bug25230
2014-09-24 15:09 apv Note Added: 0032095
2014-09-24 15:09 apv Assigned To apv => bugmaster
2014-09-24 15:09 apv Status reviewed => tested
2014-09-26 14:49 bugmaster Changeset attached => occt master 07dd6e9b
2014-09-26 14:49 bugmaster Status tested => verified
2014-09-26 14:49 bugmaster Resolution open => fixed
2014-09-30 11:36 git Note Added: 0032430
2014-11-11 12:44 aiv Fixed in Version => 6.8.0
2014-11-11 12:59 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker